Difference between revisions of "Draft Ellipse"

From FreeCAD Documentation
Jump to navigation Jump to search
m (Docnav)
(Marked this version for translation)
 
(6 intermediate revisions by 3 users not shown)
Line 2: Line 2:
 
<translate>
 
<translate>
 
<!--T:19-->
 
<!--T:19-->
{{Docnav|[[Draft_Arc|Arc]]|[[Draft_Polygon|Polygon]]|[[Draft_Module|Draft]]|IconL=Draft_Arc.svg |IconC=Workbench_Draft.svg|IconR=Draft_Polygon.svg }}
+
{{Docnav
 +
|[[Draft_Arc|Arc]]
 +
|[[Draft_Polygon|Polygon]]
 +
|[[Draft_Module|Draft]]
 +
|IconL=Draft_Arc.svg  
 +
|IconC=Workbench_Draft.svg
 +
|IconR=Draft_Polygon.svg  
 +
}}
  
 
<!--T:1-->
 
<!--T:1-->
Line 9: Line 16:
 
|MenuLocation=Draft → Ellipse
 
|MenuLocation=Draft → Ellipse
 
|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]
 
|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]
|Shortcut=E L
+
|Shortcut={{KEY|E}} {{KEY|L}}
|SeeAlso=[[Draft Circle|Draft Circle]], [[Draft Arc]]
+
|SeeAlso=[[Draft Circle|Draft Circle]], [[Draft Arc|Draft Arc]]
 
|Version=0.7
 
|Version=0.7
 
}}
 
}}
Line 17: Line 24:
  
 
<!--T:3-->
 
<!--T:3-->
The Ellipse tool creates an ellipse in the current [[Draft SelectPlane|work plane]] by entering two points, defining the corners of a rectangular box in which the ellipse will fit. It uses the [[Draft Linestyle]] set on the [[Draft Tray]].
+
The Ellipse tool creates an ellipse in the current [[Draft SelectPlane|work plane]] by entering two points, defining the corners of a rectangular box in which the ellipse will fit. It uses the [[Draft Linestyle|Draft Linestyle]] set on the [[Draft Tray|Draft Tray]].
  
 
<!--T:14-->
 
<!--T:14-->
This tool can also be used to create elliptical arcs by specifying the start and end angles. To create circles and circular arcs use the [[Draft Circle]] and [[Draft Arc]] tools. You can also approximate an elliptical or circular arc using the [[Draft BSpline]] and [[Draft BezCurve]] tools.
+
This tool can also be used to create elliptical arcs by specifying the start and end angles. To create circles and circular arcs use the [[Draft Circle|Draft Circle]] and [[Draft Arc|Draft Arc]] tools. You can also approximate an elliptical or circular arc using the [[Draft BSpline|Draft BSpline]] and [[Draft BezCurve|Draft BezCurve]] tools.
  
 
</translate>
 
</translate>
Line 28: Line 35:
 
{{Caption|Ellipse defined by the rectangle corners}}
 
{{Caption|Ellipse defined by the rectangle corners}}
  
==How to use== <!--T:5-->
+
==Usage== <!--T:22-->
# Press the {{Button|[[Image:Draft Ellipse.png|16px]] [[Draft Ellipse]]}} button, or press {{KEY|E}} then {{KEY|L}} keys.
+
 
 +
<!--T:5-->
 +
# Press the {{Button|[[Image:Draft_Ellipse.svg|16px]] [[Draft Ellipse|Draft Ellipse]]}} button, or press {{KEY|E}} then {{KEY|L}} keys.
 
# Click a first point on the 3D view, or type a [[Draft_Coordinates|coordinate]] and press the {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint|add point]]}} button.
 
# Click a first point on the 3D view, or type a [[Draft_Coordinates|coordinate]] and press the {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint|add point]]}} button.
 
# Click a second point on the 3D view, or type a [[Draft_Coordinates|coordinate]] and press the {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint|add point]]}} button.
 
# Click a second point on the 3D view, or type a [[Draft_Coordinates|coordinate]] and press the {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint|add point]]}} button.
Line 50: Line 59:
  
 
<!--T:16-->
 
<!--T:16-->
An Ellipse object shares many properties with a [[Draft Circle]], but some properties only make sense for the ellipse.
+
An Ellipse object shares many properties with a [[Draft Circle|Draft Circle]], but some properties only make sense for the ellipse.
  
 
===Data=== <!--T:9-->
 
===Data=== <!--T:9-->
Line 57: Line 66:
 
* {{PropertyData|Major Radius}}: specifies the major radius of the ellipse.
 
* {{PropertyData|Major Radius}}: specifies the major radius of the ellipse.
 
* {{PropertyData|Minor Radius}}: specifies the minor radius of the ellipse.
 
* {{PropertyData|Minor Radius}}: specifies the minor radius of the ellipse.
:If the both radius have the same value, the ellipse looks the same as a [[Draft Circle]].
+
:If the both radius have the same value, the ellipse looks the same as a [[Draft Circle|Draft Circle]].
 
* {{PropertyData|Make Face}}: specifies if the Ellipse makes a face or not. If it is {{TRUE}} a face is created, otherwise only the perimeter is considered part of the object. This property only works if the shape is a full ellipse.
 
* {{PropertyData|Make Face}}: specifies if the Ellipse makes a face or not. If it is {{TRUE}} a face is created, otherwise only the perimeter is considered part of the object. This property only works if the shape is a full ellipse.
 
:For it to be a full ellipse {{PropertyData|First Angle}} and {{PropertyData|Last Angle}} should have the same value; otherwise, an elliptical arc is displayed. The values 0&#176; and 360&#176; are considered the same.
 
:For it to be a full ellipse {{PropertyData|First Angle}} and {{PropertyData|Last Angle}} should have the same value; otherwise, an elliptical arc is displayed. The values 0&#176; and 360&#176; are considered the same.
  
 
===View=== <!--T:13-->
 
===View=== <!--T:13-->
* {{PropertyView|Pattern}}: specifies a [[Draft Pattern]] with which to fill the face of the shape. This property only works if {{PropertyData|Make Face}} is {{TRUE}}, and if {{PropertyView|Display Mode}} is "Flat Lines".
+
* {{PropertyView|Pattern}}: specifies a [[Draft Pattern|Draft Pattern]] with which to fill the face of the shape. This property only works if {{PropertyData|Make Face}} is {{TRUE}}, and if {{PropertyView|Display Mode}} is "Flat Lines".
* {{PropertyView|Pattern Size}}: specifies the size of the [[Draft Pattern]].
+
* {{PropertyView|Pattern Size}}: specifies the size of the [[Draft Pattern|Draft Pattern]].
  
 
==Scripting== <!--T:10-->
 
==Scripting== <!--T:10-->
{{Emphasis|See also:}} [[Draft API]] and [[FreeCAD Scripting Basics]].
+
{{Emphasis|See also:}} [[Draft API|Draft API]] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].
  
 
<!--T:17-->
 
<!--T:17-->
The Ellipse tool can by used in [[macros]] and from the [[Python]] console by using the following function:
+
The Ellipse tool can by used in [[macros|macros]] and from the [[Python|Python]] console by using the following function:
 
</translate>
 
</translate>
 
{{Code|code=
 
{{Code|code=
Line 100: Line 109:
  
 
<!--T:18-->
 
<!--T:18-->
{{Docnav|[[Draft_Arc|Arc]]|[[Draft_Polygon|Polygon]]|[[Draft_Module|Draft]]|IconL=Draft_Arc.svg |IconC=Workbench_Draft.svg|IconR=Draft_Polygon.svg }}
+
{{Docnav
 
+
|[[Draft_Arc|Arc]]
<!--T:20-->
+
|[[Draft_Polygon|Polygon]]
{{Draft Tools navi}}
+
|[[Draft_Module|Draft]]
 +
|IconL=Draft_Arc.svg  
 +
|IconC=Workbench_Draft.svg
 +
|IconR=Draft_Polygon.svg  
 +
}}
  
<!--T:21-->
 
{{Userdocnavi}}
 
 
</translate>
 
</translate>
 +
{{Draft Tools navi{{#translation:}}}}
 +
{{Userdocnavi{{#translation:}}}}
 
{{clear}}
 
{{clear}}

Latest revision as of 18:05, 21 February 2020

Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎
Arrow-left.svg Previous: Draft Arc.svg Arc
Next: Polygon Draft Polygon.svg Arrow-right.svg

Draft Ellipse.svg Draft Ellipse

Menu location
Draft → Ellipse
Workbenches
Draft, Arch
Default shortcut
E L
Introduced in version
0.7
See also
Draft Circle, Draft Arc


Description

The Ellipse tool creates an ellipse in the current work plane by entering two points, defining the corners of a rectangular box in which the ellipse will fit. It uses the Draft Linestyle set on the Draft Tray.

This tool can also be used to create elliptical arcs by specifying the start and end angles. To create circles and circular arcs use the Draft Circle and Draft Arc tools. You can also approximate an elliptical or circular arc using the Draft BSpline and Draft BezCurve tools.

Draft ellipse example.jpg

Ellipse defined by the rectangle corners


Usage

  1. Press the Draft Ellipse.svg Draft Ellipse button, or press E then L keys.
  2. Click a first point on the 3D view, or type a coordinate and press the Draft AddPoint.svg add point button.
  3. Click a second point on the 3D view, or type a coordinate and press the Draft AddPoint.svg add point button.

The ellipse can be turned into an elliptical arc after creation, by setting its first angle and last angle properties to different values.

Options

  • To enter coordinates manually, simply enter the numbers, then press Enter between each X, Y and Z component. You can press the Draft AddPoint.svg add point button when you have the desired values to insert the point.
  • Press R or click the checkbox to toggle relative mode. If relative mode is on, the coordinates of the second point are relative to the first one; if not, they are absolute, taken from the origin (0,0,0).
  • Press T or click the checkbox to toggle continue mode. If continue mode is on, the Ellipse tool will restart after you finish the shape, allowing you to draw another one without pressing the tool button again.
  • Press L or click the checkbox to toggle filled mode. If filled mode is on, the ellipse will create a filled face (DataMake Face True); if not, the ellipse will not make a face (DataMake Face False).
  • Hold Ctrl while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Hold Shift while drawing to constrain your second point horizontally or vertically in relation to the first one.
  • Press Esc or the Close button to abort the current command.

Properties

An Ellipse object shares many properties with a Draft Circle, but some properties only make sense for the ellipse.

Data

  • DataFirst Angle: specifies the angle of the first point of the ellipse; normally 0°.
  • DataLast Angle: specifies the angle of the last point of the ellipse; normally 0°.
  • DataMajor Radius: specifies the major radius of the ellipse.
  • DataMinor Radius: specifies the minor radius of the ellipse.
If the both radius have the same value, the ellipse looks the same as a Draft Circle.
  • DataMake Face: specifies if the Ellipse makes a face or not. If it is True a face is created, otherwise only the perimeter is considered part of the object. This property only works if the shape is a full ellipse.
For it to be a full ellipse DataFirst Angle and DataLast Angle should have the same value; otherwise, an elliptical arc is displayed. The values 0° and 360° are considered the same.

View

  • ViewPattern: specifies a Draft Pattern with which to fill the face of the shape. This property only works if DataMake Face is True, and if ViewDisplay Mode is "Flat Lines".
  • ViewPattern Size: specifies the size of the Draft Pattern.

Scripting

See also: Draft API and FreeCAD Scripting Basics.

The Ellipse tool can by used in macros and from the Python console by using the following function:

Ellipse = makeEllipse(majradius, minradius, placement=None, face=True, support=None)
  • Creates an Ellipse object with given major (majradius) and minor (minradius) radius in millimeters.
    • The bigger value will be used for the major radius (X axis) if no other placement is given.
  • If a placement is given, it is used; otherwise the shape is created at the origin.
  • If face is True, the ellipse will make a face, that is, it will appear filled.

Example:

import FreeCAD, Draft

Ellipse1 =  Draft.makeEllipse(3000, 200)
Ellipse2 =  Draft.makeEllipse(700, 1000)

ZAxis = FreeCAD.Vector(0, 0, 1)
p3 = FreeCAD.Vector(1000, 1000, 0)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 90))

Ellipse3 =  Draft.makeEllipse(700, 1000, placement=place3)
Arrow-left.svg Previous: Draft Arc.svg Arc
Next: Polygon Draft Polygon.svg Arrow-right.svg